Build project failing

Answered

After moving our compile target to Java 1.8 I'm getting an error whenever I try and build a project.

 

Information:Using javac 1.8.0_45 to compile java sources
Information:java: Errors occurred while compiling module 'iqdb'
Information:5/17/16, 1:10 PM - Compilation completed with 1 error and 0 warnings in 2s 718ms
Error:java: invalid source release: 1.8

 

I've set all the project and modules to use 8, and my preferences java compiler is set to target 1.8 as well.  The module builds fine with Maven in 1.8.

If I set the compiler target to 1.7, and project and modules to 1.7 then it will build.  This makes me think I've still got a setting somewhere that's pointing to 1.7.

Any idea?

 

Thanks

2 comments
Comment actions Permalink

Check all the module (.iml) files for the references to 1.7.

If you can't find a problem, please submit a ticket to support with .idea directory contents and .iml files attached.

0
Comment actions Permalink

Updating .iml files to have only JDK 1.8 references worked for me.

I had performed all updates in File -> Settings and File -> Project Structure ... prior to this but updating .all iml files fixed it.

Thanks!

0

Please sign in to leave a comment.